@echo off

REM プリンタの構成取得
echo プリンタープロパティ画面自動表示ツール
echo. 
echo 本体のみ ⇒ 1
echo 本体+2TM ⇒ 2
echo キャンセル ⇒ 0
echo.
set /P KOUSEI="プリンタ構成の番号を入力し、Enterキーを押してください："
echo.
if %KOUSEI% == 1 (
	echo 本体のみ　が選択されました。
) else if %KOUSEI% == 2 (
	echo 本体+1TM　が選択されました。
) else (
	exit
)


echo.
echo.
echo 各プリンタードライバーのプロパティを一つずつ表示します。
echo.
echo プリンターの設定をしてください。
echo プロパティ画面を閉じると、次のドライバーのプロパティが表示されます。
echo 全てのドライバーで設定を実施してください。


rundll32 printui.dll,PrintUIEntry /p /n "ApeosPrint C4570 ハガキ"
rundll32 printui.dll,PrintUIEntry /p /n "ApeosPrint C4570 喪中"
rundll32 printui.dll,PrintUIEntry /p /n "ApeosPrint C4570 普通紙手差し"
rundll32 printui.dll,PrintUIEntry /p /n "ApeosPrint C4570 名刺"


control printers

:END

echo.
echo  全てのドライバーのプロパティ表示が完了しました。
echo　何かキーを押すと終了します。

pause>nul